org.apache.ode.dao.jpa

## Class BPELDAOConnectionFactoryImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.BPELDAOConnectionFactoryImpl

- All Implemented Interfaces:
    BpelDAOConnectionFactory, BpelDAOConnectionFactoryJDBC

      public class BPELDAOConnectionFactoryImpl
      extends java.lang.Object
      implements BpelDAOConnectionFactoryJDBC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.persistence.EntityManagerFactory` | `_emf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPELDAOConnectionFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BPELDAOConnectionImpl` | `createBPELDAOConnection(javax.persistence.EntityManager em)`
    `BpelDAOConnection` | `getConnection()` Create a JTA transaction-aware state store connection to an the state store.
    `javax.sql.DataSource` | `getDataSource()`
    `void` | `init(java.util.Properties properties)` Initializes connection factory with properties required to establish a connection.
    `void` | `setDataSource(javax.sql.DataSource datasource)` Set the managed data source (transactions tied to transaction manager).
    `void` | `setDBDictionary(java.lang.String dbd)`
    `void` | `setTransactionManager(java.lang.Object tm)` Set the transaction manager.
    `void` | `setTransactionManager(javax.transaction.TransactionManager tm)`
    `void` | `setUnmanagedDataSource(javax.sql.DataSource ds)` Set the unmanaged data source.
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _emf

          protected javax.persistence.EntityManagerFactory _emf

  - ### Constructor Detail

    - #### BPELDAOConnectionFactoryImpl

          public BPELDAOConnectionFactoryImpl()

  - ### Method Detail

    - #### getConnection

          public BpelDAOConnection getConnection()

      Description copied from interface: `BpelDAOConnectionFactory`
      Create a JTA transaction-aware state store connection to an the state store. The state store must have previously been created in order for this method to be succesful.
      Specified by:
        `getConnection` in interface `BpelDAOConnectionFactory`
      Returns:
        a `BpelDAOConnection` connection object to the state store.

    - #### createBPELDAOConnection

          protected BPELDAOConnectionImpl createBPELDAOConnection(javax.persistence.EntityManager em)

    - #### init

          public void init(java.util.Properties properties)

      Description copied from interface: `BpelDAOConnectionFactory`
      Initializes connection factory with properties required to establish a connection.
      Specified by:
        `init` in interface `BpelDAOConnectionFactory`

    - #### setTransactionManager

          public void setTransactionManager(javax.transaction.TransactionManager tm)

    - #### setDataSource

          public void setDataSource(javax.sql.DataSource datasource)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the managed data source (transactions tied to transaction manager).
      Specified by:
        `setDataSource` in interface `BpelDAOConnectionFactoryJDBC`

    - #### setDBDictionary

          public void setDBDictionary(java.lang.String dbd)

    - #### setTransactionManager

          public void setTransactionManager(java.lang.Object tm)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the transaction manager.
      Specified by:
        `setTransactionManager` in interface `BpelDAOConnectionFactoryJDBC`

    - #### setUnmanagedDataSource

          public void setUnmanagedDataSource(javax.sql.DataSource ds)

      Description copied from interface: `BpelDAOConnectionFactoryJDBC`
      Set the unmanaged data source.
      Specified by:
        `setUnmanagedDataSource` in interface `BpelDAOConnectionFactoryJDBC`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `BpelDAOConnectionFactory`

    - #### getDataSource

          public javax.sql.DataSource getDataSource()

      Specified by:
        `getDataSource` in interface `BpelDAOConnectionFactory`